Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

[CLOSED]Enlightenment-23

Started by dbarron, September 15, 2019, 07:49:32 PM

Previous topic - Next topic

dbarron

Any plans to compile it in the foreseeable future?  I'd like to try it out but (and maybe you feel that way) too many dependency libraries :(

lami07

No plans for that. Pavroo does not build packages for efl and enlightenment any longer. Sparky got those directly from Debian repo. You can grab e23 and necessary libs from Debian experimental repo.
Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at [url="//irc.freenode.net"]irc.freenode.net[/url]

dbarron

#2
That works (I assume), I'll switch SID to testing and see.
I used to (long long ago) compile those, but wow the dependencies list has gotten long.  I can understand how much time it would take to compile all this stuff now.
Edit: Unfortunately, not even unstable has E23 up to date.

paxmark1

You possibly might be able to do it with testing and just enable experimental, apt -t ......    Investigate the dependencies.  A quick peek at https://packages.debian.org/experimental/enlightenment-data   and many demand 0.23 and not 0.22. 

Myself I just went with sid-unstable  to run Sway with on  a netbook.  No 32 bit Sparky or 32 bit Siduction, Sometimes experimental is not that crazy.  Part of somethings staying in experimental is not having lots of testers.  No problems with wayland so far. 

peace out
Search forum for "More info easier via inxi"    If requested -  no inxi, no help for you by  me.

lami07

https://wiki.debian.org/DebianExperimental
Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at [url="//irc.freenode.net"]irc.freenode.net[/url]

dbarron

Oh hey, I loaded up sway last night for a second look (tried it some months back).  I have one interesting issue (where the first app has to be ran from dmenu), but it may be a relic of my i3 config files, so I'll try to clean things up today and test that theory (needs cruft that doesn't work cleaned anyway).
I'm happy with sway performance, but sure wish I3 ran under wayland :( I figured I'd try looking into the Wayland future (and E23..hopefully also under Wayland).

lami07

@dbarron. For sway I use bemenu instead of dmenu.
If I recall correctly Debian E23 is build without Wayland support.
Quote from: forum rulesWhen an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread
Want to chat? Join #sparkylinux at [url="//irc.freenode.net"]irc.freenode.net[/url]

dbarron

Well that sucks (one of the things I've liked about E was that it ran under Wayland).  Thanks for the info though!
Oh, I concluded that this wasn't a solution but rather an information request...so it isn't solved...but it's closed.

View the most recent posts on the forum